PS_HYPHENATE(3)

NAME
PS_hyphenate — Hyphenates a word

SYNOPSIS

#include <pslib.h>

int PS_hyphenate(PSDoc *psdoc, const char *text, char **hyphens)

DESCRIPTION

Hyphenates the passed word. text should not contain any non alpha characters. Possible positions for breaks are returned in hyphens.

This function requires the locale category LC_CTYPE to be set propperly. PS_boot() usually does it by using the enviroment variables.

PS_hyphenate() evaluates the value 'hyphenminchars' and the parameter `hyphendict'. hyphendict must be set before calling this function.

RETURN VALUE

Returns -1 in case of an error, and otherwise 0.

SEE ALSO

PS_boot(3), PS_show_boxed(3), locale(1)

AUTHOR

This manual page was written by Uwe Steinmann <uwe@steinmann.cx>.